Loading...
Searching...
No Matches
NCVMatrix< T > Class Template Reference

NCVMatrix (2D). More...

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for NCVMatrix< T >:

## Public Member Functions

| NCVMatrix ()
void | clear ()
Ncv32u | stride () const
NCVStatus | copySolid (NCVMatrix< T > &dst, cudaStream_t cuStream, std::size_t howMuch=0) const
NCVStatus | copy2D (NCVMatrix< T > &dst, NcvSize32u roi, cudaStream_t cuStream) const
T & | at (Ncv32u x, Ncv32u y) const
T * | ptr () const
Ncv32u | width () const
Ncv32u | height () const
NcvSize32u | size () const
Ncv32u | pitch () const
NCVMemoryType | memType () const

## Protected Attributes

T * | _ptr
Ncv32u | _width
Ncv32u | _height
Ncv32u | _pitch
NCVMemoryType | _memtype

## Detailed Description

template<class T>
class NCVMatrix< T >

NCVMatrix (2D).

Definition at line 674 of file NCV.hpp.

## Constructor & Destructor Documentation

## NCVMatrix()

template<class T>

NCVMatrix< T >::NCVMatrix | ( |  | ) |

inline

Definition at line 680 of file NCV.hpp.

References clear().

## Member Function Documentation

## at()

template<class T>

T & NCVMatrix< T >::at | ( | Ncv32u | x,
|  | Ncv32u | y ) const

inline

Definition at line 746 of file NCV.hpp.

References _height, _pitch, _ptr, and _width.

Referenced by NCVMatrixReuse< T >::NCVMatrixReuse().

## clear()

template<class T>

void NCVMatrix< T >::clear | ( |  | ) |

inline

Definition at line 685 of file NCV.hpp.

References _height, _memtype, _pitch, _ptr, and _width.

Referenced by NCVMatrix(), NCVMatrixAlloc< T >::NCVMatrixAlloc(), NCVMatrixReuse< T >::NCVMatrixReuse(), NCVMatrixReuse< T >::NCVMatrixReuse(), and NCVMatrixAlloc< T >::~NCVMatrixAlloc().

## copy2D()

template<class T>

NCVStatus NCVMatrix< T >::copy2D | ( | NCVMatrix< T > & | dst,
|  | NcvSize32u | roi,
|  | cudaStream_t | cuStream ) const

inline

Definition at line 728 of file NCV.hpp.

References _memtype, _pitch, _ptr, height(), NcvSize32u::height, width(), and NcvSize32u::width.

## copySolid()

template<class T>

NCVStatus NCVMatrix< T >::copySolid | ( | NCVMatrix< T > & | dst,
|  | cudaStream_t | cuStream,
|  | std::size_t | howMuch = 0 ) const

inline

Definition at line 700 of file NCV.hpp.

References _height, _memtype, _pitch, and _ptr.

## height()

template<class T>

Ncv32u NCVMatrix< T >::height | ( |  | ) | const

inline

Definition at line 759 of file NCV.hpp.

References _height.

Referenced by copy2D(), NCVMatrixAlloc< T >::NCVMatrixAlloc(), NCVMatrixReuse< T >::NCVMatrixReuse(), and NCVMatrixReuse< T >::NCVMatrixReuse().

## memType()

template<class T>

NCVMemoryType NCVMatrix< T >::memType | ( |  | ) | const

inline

Definition at line 762 of file NCV.hpp.

References _memtype.

Referenced by NCVMatrixReuse< T >::NCVMatrixReuse().

## pitch()

template<class T>

Ncv32u NCVMatrix< T >::pitch | ( |  | ) | const

inline

Definition at line 761 of file NCV.hpp.

References _pitch.

Referenced by NCVMatrixAlloc< T >::NCVMatrixAlloc(), NCVMatrixReuse< T >::NCVMatrixReuse(), and NCVMatrixReuse< T >::NCVMatrixReuse().

## ptr()

template<class T>

T * NCVMatrix< T >::ptr | ( |  | ) | const

inline

Definition at line 757 of file NCV.hpp.

References _ptr.

## size()

template<class T>

NcvSize32u NCVMatrix< T >::size | ( |  | ) | const

inline

Definition at line 760 of file NCV.hpp.

References _height, and _width.

## stride()

template<class T>

Ncv32u NCVMatrix< T >::stride | ( |  | ) | const

inline

Definition at line 694 of file NCV.hpp.

References _pitch.

## width()

template<class T>

Ncv32u NCVMatrix< T >::width | ( |  | ) | const

inline

Definition at line 758 of file NCV.hpp.

References _width.

Referenced by copy2D(), NCVMatrixAlloc< T >::NCVMatrixAlloc(), NCVMatrixReuse< T >::NCVMatrixReuse(), and NCVMatrixReuse< T >::NCVMatrixReuse().

## Member Data Documentation

## _height

template<class T>

Ncv32u NCVMatrix< T >::_height

protected

Definition at line 768 of file NCV.hpp.

Referenced by at(), clear(), copySolid(), height(), NCVMatrixAlloc< T >::NCVMatrixAlloc(), NCVMatrixReuse< T >::NCVMatrixReuse(), NCVMatrixReuse< T >::NCVMatrixReuse(), and size().

## _memtype

template<class T>

NCVMemoryType NCVMatrix< T >::_memtype

protected

Definition at line 770 of file NCV.hpp.

Referenced by clear(), copy2D(), copySolid(), memType(), NCVMatrixAlloc< T >::NCVMatrixAlloc(), NCVMatrixReuse< T >::NCVMatrixReuse(), and NCVMatrixReuse< T >::NCVMatrixReuse().

## _pitch

template<class T>

Ncv32u NCVMatrix< T >::_pitch

protected

Definition at line 769 of file NCV.hpp.

Referenced by at(), clear(), copy2D(), copySolid(), NCVMatrixAlloc< T >::NCVMatrixAlloc(), NCVMatrixReuse< T >::NCVMatrixReuse(), NCVMatrixReuse< T >::NCVMatrixReuse(), pitch(), and stride().

## _ptr

template<class T>

T* NCVMatrix< T >::_ptr

protected

Definition at line 766 of file NCV.hpp.

Referenced by at(), clear(), copy2D(), copySolid(), NCVMatrixAlloc< T >::NCVMatrixAlloc(), NCVMatrixReuse< T >::NCVMatrixReuse(), NCVMatrixReuse< T >::NCVMatrixReuse(), and ptr().

## _width

template<class T>

Ncv32u NCVMatrix< T >::_width

protected

Definition at line 767 of file NCV.hpp.

Referenced by at(), clear(), NCVMatrixAlloc< T >::NCVMatrixAlloc(), NCVMatrixReuse< T >::NCVMatrixReuse(), NCVMatrixReuse< T >::NCVMatrixReuse(), size(), and width().

The documentation for this class was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp